/*
	Code voor het afhandelen van menu clicks en aanpassingen aan de grootte van het iframe
	aanwezig in het document index.html
	author: John Val
	date: 06-07-2018
 */
 
// variable voor bewaren laatst gekozen menuitem
var oldmenuitem=null;
var achtergrondkleurGekozenItem="red";

/** 
	zetFrameHoogte past de hoogte van het iframe element met id inhoudscherm aan en zorg dat het
	iframe net onder de menubalk komt te staan.
*/
function zetFrameHoogte()
{
 // Haal verwijzingen naar het iframe en de menubalk.
 var htobj=document.getElementById("inhoudscherm");
 var mtobj=document.getElementById("myNavbar");
 var mh=0;
 if(htobj) // Het iframe is gevonden
 {
	 // Vraag de hoogte van het venster op.
	 var h=window.innerHeight  
     || document.documentElement.clientHeight
     || document.body.clientHeight; 
	 
	 // mh wordt de hoogte van de menubalk.
	 mh=mtobj?mtobj.offsetHeight:0;
	 // Dit wordt dan de boven marge van het iframe element
	 htobj.style.marginTop = mh + "px";
	 // de hoogte van het iframe element is nu de hoogte van het venster vermindert met de hoogte van de menu bar en
	 // een schatting van alle offsets voor iframe en menubalk.
	 htobj.style.height=(h-mh-3*htobj.offsetLeft)+ "px";
 }
}

/*
	zetActieveTab geeft een kleur aan het geklikte menuitem en hersteld de kleur van
	een vorig gekozen menuitem
	obj is mouseEvent of een menuitem
*/
function zetActieveTab(obj)
{
	var target=null;
	// Bepaal of obj en obj.target aanwezig zijn. obj.target is het geklikte element in het document.
	if(obj)
	{
		// Kijk of object.type click is of niet
		if(obj.type != "click" ) target=obj;
		else
		{
			target=obj.target;
		}
		// Reageer alleen op het klikken van bepaalde elementen in de menubalk
		switch(target.className )
		{
			case "menuitem":
			case "submenuitem":
			case "dropbtn":
				if(oldmenuitem) // Is er al eens op een menuitem geklikt?
				{
					oldmenuitem.style.backgroundColor=""; // Herstel de achtergrondkleur
				}
				target.style.backgroundColor=achtergrondkleurGekozenItem;  // zet de achtergrondkleur voor het geklikte menuitem
				oldmenuitem=target; // bewaar het nieuw geklikte menuitem
				break;
			default:
		}
	}
}

/*
	veranderMenu wordt aangeroepen als in de verkleinde menubalk op de hamburger icon wordt geklikt.
	Er wordt gewisseld tussen het tonenn van het hele menu of alleen de top van het menu.
*/
function veranderMenu() {
    var x = document.getElementById("myNavbar");
    if (x.className === "navbar") {
        x.className += " responsive";
    } else {
        x.className = "navbar";
    }
}

// Zet de event handlers voor de onresize en onclick gebeurtenissen (events)
window.onresize=zetFrameHoogte;
window.onclick=zetActieveTab;

